From 58711a9563e4abf71e0c0456246a5493cf640df8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 02 2020 03:11:37 +0000
Subject: [PATCH 1199/2232] Move #pragma once to where header block is written


---

diff --git a/gen/src/include.rs b/gen/src/include.rs
index d88c12d..cf718da 100644
--- a/gen/src/include.rs
+++ b/gen/src/include.rs
@@ -47,9 +47,14 @@ impl<'a> Includes<'a> {
 }
 
 pub(super) fn write(out: &mut OutFile) {
+    let header = out.header;
     let include = &mut out.include;
     let out = &mut include.content;
 
+    if header {
+        writeln!(out, "#pragma once");
+    }
+
     for include in &include.custom {
         match include.kind {
             IncludeKind::Quoted => {
diff --git a/gen/src/write.rs b/gen/src/write.rs
index a2d41a7..08bb1fc 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -15,10 +15,6 @@ pub(super) fn gen(apis: &[Api], types: &Types, opt: &Opt, header: bool) -> Vec<u
     let mut out_file = OutFile::new(header, opt, types);
     let out = &mut out_file;
 
-    if header {
-        writeln!(out.include, "#pragma once");
-    }
-
     pick_includes_and_builtins(out);
     out.include.extend(&opt.include);
 

